# Auto detect text files and perform LF normalization
* text=auto

# Explicitly declare text files you want to always be normalized and converted
# to native line endings on checkout.
*.c text
*.h text
*.c++ text
*.h++ text
*.hpp text
*.cpp text
*.hxx text
*.css text
*.scss text
*.html text
*.java text
*.js text
*.json text
*.jsx text
*.less text
*.lua text
*.md text
*.php text
*.pl text
*.py text
*.rb text
*.rss text
*.sh text
*.sql text
*.swift text
*.ts text
*.tsx text
*.txt text
*.xml text
*.yml text

# Denote all files that are truly binary and should not be modified.
*.png binary
*.jpg binary
*.jpeg binary
*.gif binary
*.ico binary
*.mov binary
*.mp4 binary
*.mp3 binary
*.flv binary
*.fla binary
*.swf binary
*.gz binary
*.zip binary
*.7z binary
*.ttf binary
*.eot binary
*.woff binary
*.pyc binary
*.pdf binary
